com.sun.grid.jgdi.configuration

## Interface Project

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ProjectImpl

      public interface Project
      extends GEObject

  Java representation of the cull object PR_Type defined in sge_all_listsL.template

  Warning: The Project class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(UserSet aacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXacl(UserSet axacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `dump()`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `boolean` | `isSetAcl()` Determine if any acl attribute is set
    `boolean` | `isSetFshare()` Determine if any fshare attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetOticket()` Determine if any oticket attribute is set
    `boolean` | `isSetXacl()` Determine if any xacl attribute is set
    `UserSet` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeAcl(UserSet aacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXacl(UserSet axacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setAcl(int index, UserSet aacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.
    `void` | `setXacl(int index, UserSet axacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setOticket

          void setOticket(int aOticket)

      Set the oticket attribute.
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          int getOticket()

      Get the value of the oticket attribute.
      Returns:
        the value of the oticket attribute

    - #### isSetOticket

          boolean isSetOticket()

      Determine if any oticket attribute is set
      Returns:
        `true` if the oticket attribute is set

    - #### setFshare

          void setFshare(int aFshare)

      Set the fshare attribute.
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          int getFshare()

      Get the value of the fshare attribute.
      Returns:
        the value of the fshare attribute

    - #### isSetFshare

          boolean isSetFshare()

      Determine if any fshare attribute is set
      Returns:
        `true` if the fshare attribute is set

    - #### getAclList

          java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addAcl

          void addAcl(UserSet aacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setAcl

          void setAcl(int index,
                      UserSet aacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllAcl

          void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeAcl

          UserSet removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          boolean removeAcl(UserSet aacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetAcl

          boolean isSetAcl()

      Determine if any acl attribute is set
      Returns:
        `true` if the acl attribute is set

    - #### getXaclList

          java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### addXacl

          void addXacl(UserSet axacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXacl

          void setXacl(int index,
                       UserSet axacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXacl

          void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeXacl

          UserSet removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          boolean removeXacl(UserSet axacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### isSetXacl

          boolean isSetXacl()

      Determine if any xacl attribute is set
      Returns:
        `true` if the xacl attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.